Functions
Subsweep
Service » Config

Module to configure subsweeps. More...

## Functions
void | acc_config_num_subsweeps_set (acc_config_t *config, uint8_t num_subsweeps)
| Set the number of subsweeps to use. More...
uint8_t | acc_config_num_subsweeps_get (const acc_config_t *config)
| Get the number of subsweeps to use. More...
void | acc_config_subsweep_start_point_set (acc_config_t *config, int32_t start_point, uint8_t index)
| Set the starting point of the sweep. More...
int32_t | acc_config_subsweep_start_point_get (const acc_config_t *config, uint8_t index)
| Get the starting point of the sweep. More...
void | acc_config_subsweep_num_points_set (acc_config_t *config, uint16_t num_points, uint8_t index)
| Set the number of data points to measure. More...
uint16_t | acc_config_subsweep_num_points_get (const acc_config_t *config, uint8_t index)
| Get the number of data points to measure. More...
void | acc_config_subsweep_step_length_set (acc_config_t *config, uint16_t step_length, uint8_t index)
| Set the step length in a sweep. More...
uint16_t | acc_config_subsweep_step_length_get (const acc_config_t *config, uint8_t index)
| Get the step length in a sweep. More...
void | acc_config_subsweep_profile_set (acc_config_t *config, acc_config_profile_t profile, uint8_t index)
| Set a profile. More...
acc_config_profile_t | acc_config_subsweep_profile_get (const acc_config_t *config, uint8_t index)
| Get the currently used profile. More...
void | acc_config_subsweep_hwaas_set (acc_config_t *config, uint16_t hwaas, uint8_t index)
| Set the hardware accelerated average samples (HWAAS) More...
uint16_t | acc_config_subsweep_hwaas_get (const acc_config_t *config, uint8_t index)
| Get the hardware accelerated average samples (HWAAS) More...
void | acc_config_subsweep_receiver_gain_set (acc_config_t *config, uint8_t gain, uint8_t index)
| Set receiver gain setting. More...
uint8_t | acc_config_subsweep_receiver_gain_get (const acc_config_t *config, uint8_t index)
| Get receiver gain setting. More...
void | acc_config_subsweep_enable_tx_set (acc_config_t *config, bool enable, uint8_t index)
| Enable or disable the transmitter. More...
bool | acc_config_subsweep_enable_tx_get (const acc_config_t *config, uint8_t index)
| Get transmitter enable mode. More...
void | acc_config_subsweep_prf_set (acc_config_t *config, acc_config_prf_t prf, uint8_t index)
| Set Pulse Repetition Frequency. More...
acc_config_prf_t | acc_config_subsweep_prf_get (const acc_config_t *config, uint8_t index)
| Get Pulse Repetition Frequency. More...
void | acc_config_subsweep_phase_enhancement_set (acc_config_t *config, bool enable, uint8_t index)
| Set the phase enhancement enabled configuration. More...
bool | acc_config_subsweep_phase_enhancement_get (const acc_config_t *config, uint8_t index)
| Get the phase enhancement enabled configuration. More...
void | acc_config_subsweep_iq_imbalance_compensation_set (acc_config_t *config, bool enable, uint8_t index)
| Enable or disable the IQ imbalance compensation. More...
bool | acc_config_subsweep_iq_imbalance_compensation_get (const acc_config_t *config, uint8_t index)
| Get the IQ imbalance compensation configuration. More...
void | acc_config_subsweep_enable_loopback_set (acc_config_t *config, bool enable, uint8_t index)
| Set the loopback enabled configuration. More...
bool | acc_config_subsweep_enable_loopback_get (const acc_config_t *config, uint8_t index)
| Get the enable loopback configuration. More...

## Detailed Description

Module to configure subsweeps.

## Function Documentation

## ◆ acc_config_num_subsweeps_get()

uint8_t acc_config_num_subsweeps_get | ( | const acc_config_t * | config | ) |

Get the number of subsweeps to use.

Parameters

  [in] | config | The configuration

Returns
  The number of subsweeps

Examples
  example_detector_distance_with_iq_data_print.c, example_detector_presence_with_iq_data_print.c, and example_service_subsweeps.c.

## ◆ acc_config_num_subsweeps_set()

void acc_config_num_subsweeps_set | ( | acc_config_t * | config,
|  | uint8_t | num_subsweeps
| ) |  |

Set the number of subsweeps to use.

Parameters

  [in] | config | The configuration
  [in] | num_subsweeps | The number of subsweeps

Examples
  example_service_subsweeps.c.

## ◆ acc_config_subsweep_enable_loopback_get()

bool acc_config_subsweep_enable_loopback_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get the enable loopback configuration.

See acc_config_enable_loopback_get

Parameters

  [in] | config | The configuration
  [in] | index | The subsweep index

Returns
  true if loopback is enabled, false otherwise

## ◆ acc_config_subsweep_enable_loopback_set()

void acc_config_subsweep_enable_loopback_set | ( | acc_config_t * | config,
|  | bool | enable,
|  | uint8_t | index
| ) |  |

Set the loopback enabled configuration.

See acc_config_enable_loopback_set

Parameters

  [in] | config | The configuration
  [in] | enable | true if loopback to be enabled, false otherwise
  [in] | index | The subsweep index

## ◆ acc_config_subsweep_enable_tx_get()

bool acc_config_subsweep_enable_tx_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get transmitter enable mode.

See acc_config_enable_tx_get

Parameters

  [in] | config | The configuration
  [in] | index | The subsweep index

Returns
  true if the transmitter is enabled

## ◆ acc_config_subsweep_enable_tx_set()

void acc_config_subsweep_enable_tx_set | ( | acc_config_t * | config,
|  | bool | enable,
|  | uint8_t | index
| ) |  |

Enable or disable the transmitter.

See acc_config_enable_tx_set

Parameters

  [in] | config | The configuration
  [in] | enable | true to enable the transmitter
  [in] | index | The subsweep index

## ◆ acc_config_subsweep_hwaas_get()

uint16_t acc_config_subsweep_hwaas_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get the hardware accelerated average samples (HWAAS)

See acc_config_hwaas_get

Parameters

  [in] | config | The config to get hwaas from
  [in] | index | The subsweep index

Returns
  Hardware accelerated average samples

## ◆ acc_config_subsweep_hwaas_set()

void acc_config_subsweep_hwaas_set | ( | acc_config_t * | config,
|  | uint16_t | hwaas,
|  | uint8_t | index
| ) |  |

Set the hardware accelerated average samples (HWAAS)

See acc_config_hwaas_set

Parameters

  [in] | config | The config to set hwaas for
  [in] | hwaas | Hardware accelerated average samples
  [in] | index | The subsweep index

## ◆ acc_config_subsweep_iq_imbalance_compensation_get()

bool acc_config_subsweep_iq_imbalance_compensation_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get the IQ imbalance compensation configuration.

See acc_config_iq_imbalance_compensation_set

Parameters

  [in] | config | The configuration
  [in] | index | The subsweep index

Returns
  true if IQ imbalance compensation is enabled, false otherwise

## ◆ acc_config_subsweep_iq_imbalance_compensation_set()

void acc_config_subsweep_iq_imbalance_compensation_set | ( | acc_config_t * | config,
|  | bool | enable,
|  | uint8_t | index
| ) |  |

Enable or disable the IQ imbalance compensation.

Parameters

  [in] | config | The configuration
  [in] | enable | true if IQ imbalance compensation should be enabled, false otherwise
  [in] | index | The subsweep index

## ◆ acc_config_subsweep_num_points_get()

uint16_t acc_config_subsweep_num_points_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get the number of data points to measure.

See acc_config_num_points_get

Parameters

  [in] | config | The configuration
  [in] | index | The subsweep index

Returns
  Number of data points to measure

## ◆ acc_config_subsweep_num_points_set()

void acc_config_subsweep_num_points_set | ( | acc_config_t * | config,
|  | uint16_t | num_points,
|  | uint8_t | index
| ) |  |

Set the number of data points to measure.

See acc_config_num_points_set

Parameters

  [in] | config | The configuration
  [in] | num_points | Number of data points to measure
  [in] | index | The subsweep index

Examples
  example_service_subsweeps.c.

## ◆ acc_config_subsweep_phase_enhancement_get()

bool acc_config_subsweep_phase_enhancement_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get the phase enhancement enabled configuration.

See acc_config_phase_enhancement_get

Parameters

  [in] | config | The configuration
  [in] | index | The subsweep index

Returns
  true if phase enhancement is enabled, false otherwise

## ◆ acc_config_subsweep_phase_enhancement_set()

void acc_config_subsweep_phase_enhancement_set | ( | acc_config_t * | config,
|  | bool | enable,
|  | uint8_t | index
| ) |  |

Set the phase enhancement enabled configuration.

See acc_config_phase_enhancement_set

Parameters

  [in] | config | The configuration
  [in] | enable | true if phase enhancement to be enabled, false otherwise
  [in] | index | The subsweep index

## ◆ acc_config_subsweep_prf_get()

acc_config_prf_t acc_config_subsweep_prf_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get Pulse Repetition Frequency.

See acc_config_prf_t for details.

Parameters

  [in] | config | The configuration

Returns
  Pulse Repetition Frequency

Parameters

  [in] | index | The subsweep index

## ◆ acc_config_subsweep_prf_set()

void acc_config_subsweep_prf_set | ( | acc_config_t * | config,
|  | acc_config_prf_t | prf,
|  | uint8_t | index
| ) |  |

Set Pulse Repetition Frequency.

See acc_config_prf_t for details.

Parameters

  [in] | config | The configuration
  [in] | prf | The Pulse Repetition Frequency to use
  [in] | index | The subsweep index

## ◆ acc_config_subsweep_profile_get()

acc_config_profile_t acc_config_subsweep_profile_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get the currently used profile.

See acc_config_profile_get

Parameters

  [in] | config | The config to get a profile for
  [in] | index | The subsweep index

Returns
  The current profile, 0 if config is invalid

## ◆ acc_config_subsweep_profile_set()

void acc_config_subsweep_profile_set | ( | acc_config_t * | config,
|  | acc_config_profile_t | profile,
|  | uint8_t | index
| ) |  |

Set a profile.

See acc_config_profile_set

Parameters

  [in] | config | The config to set a profile for
  [in] | profile | The profile to set
  [in] | index | The subsweep index

## ◆ acc_config_subsweep_receiver_gain_get()

uint8_t acc_config_subsweep_receiver_gain_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get receiver gain setting.

See acc_config_receiver_gain_get

Parameters

  [in] | config | The configuration
  [in] | index | The subsweep index

Returns
  Receiver gain setting

## ◆ acc_config_subsweep_receiver_gain_set()

void acc_config_subsweep_receiver_gain_set | ( | acc_config_t * | config,
|  | uint8_t | gain,
|  | uint8_t | index
| ) |  |

Set receiver gain setting.

See acc_config_receiver_gain_set

Parameters

  [in] | config | The configuration
  [in] | gain | Receiver gain setting
  [in] | index | The subsweep index

Examples
  example_service_subsweeps.c.

## ◆ acc_config_subsweep_start_point_get()

int32_t acc_config_subsweep_start_point_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get the starting point of the sweep.

See acc_config_start_point_get

Parameters

  [in] | config | The configuration
  [in] | index | The subsweep index

Returns
  The starting point of the sweep

Examples
  example_detector_distance_with_iq_data_print.c, and example_detector_presence_with_iq_data_print.c.

## ◆ acc_config_subsweep_start_point_set()

void acc_config_subsweep_start_point_set | ( | acc_config_t * | config,
|  | int32_t | start_point,
|  | uint8_t | index
| ) |  |

Set the starting point of the sweep.

See acc_config_start_point_set

Parameters

  [in] | config | The configuration
  [in] | start_point | The starting point of the sweep
  [in] | index | The subsweep index

Examples
  example_service_subsweeps.c.

## ◆ acc_config_subsweep_step_length_get()

uint16_t acc_config_subsweep_step_length_get | ( | const acc_config_t * | config,
|  | uint8_t | index
| ) |  |

Get the step length in a sweep.

See acc_config_step_length_get

Parameters

  [in] | config | The configuration
  [in] | index | The subsweep index

Returns
  The step length

Examples
  example_detector_distance_with_iq_data_print.c, and example_detector_presence_with_iq_data_print.c.

## ◆ acc_config_subsweep_step_length_set()

void acc_config_subsweep_step_length_set | ( | acc_config_t * | config,
|  | uint16_t | step_length,
|  | uint8_t | index
| ) |  |

Set the step length in a sweep.

See acc_config_step_length_set

Parameters

  [in] | config | The configuration
  [in] | step_length | The step length
  [in] | index | The subsweep index